Subject: bug#56842: Segfault when Captive Portal detection setting is enabled

From: Adam Faiz <[email-masked]>
Date: Sat, 30 Jul 2022 09:00:36 +0000

When the 'Detect Captive Portal' setting is enabled, IceCat segfaults 
before the browser window is displayed when restarted, even with the 
--safe-mode option.

It works when run with the --migration option, but reports the following 
error:
JavaScript error: resource://gre/modules/CaptiveDetect.jsm, line 296: 
NS_ERROR_FAILURE: No canonical URL set up.

To disable the setting, I had to go to my profile directory and edit 
prefs.js to remove the network.captive-portal-service.enabled line or 
change it to false.

I use Guix's GNU IceCat 91.11.0esr.
This bug has also been confirmed on Parabola.